SETSID(1)

BEZEICHNUNG
setsid - ein Programm in einer neuen Sitzung ausführen

ÜBERSICHT

setsid [Optionen] Programm [Argumente]

BESCHREIBUNG

setsid führt ein Programm in einer neuen Sitzung aus. Der Befehl ruft fork(2) auf, falls er bereits ein Prozessgruppenleiter ist. Anderenfalls führt es ein Programm in dem aktuellen Prozess aus. Das Standardverhalten kann mit der Option --fork außer Kraft gesetzt werden.

OPTIONEN

-c, --ctty
    setzt das steuernde Terminal auf das aktuelle.

-f, --fork
    Immer einen neuen Prozess erstellen.

-w, --wait
    wartet vor der Ausführung auf das Ende des Programms und gibt den Exit-Status dieses Programms als Exit-Status von setsid zurück.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

AUTOREN

SIEHE AUCH

setsid(2)

FEHLER MELDEN

For bug reports, use the

VERFÜGBARKEIT

Der Befehl setsid ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.